kind: BPPipeline
metadata:
  name: sample-pipeline
spec:
  application: test
  retention_execution_count: 10
  stages:
  - approval: false
    continue_on_disapproval: false
    name: stage-one
    order: 1
    send_mail: true
    tasks:
    - application_env: dev
      job_code: None
      mark_success_upon_skip: false
      name: job_1
      on_failure_exit: true
      on_success_exit: false
      order: 1
      services:
      - fo-api
      - sampleservice
      - testing
      skip_task: false
      tag: latest
      task_run_condition: None
      task_type: BUILD
    - application_env: dev
      job_code: None
      mark_success_upon_skip: false
      name: job_2
      on_failure_exit: true
      on_success_exit: false
      order: 2
      services:
      - fo-api
      - sampleservice
      - testing
      skip_task: false
      tag: generated
      task_run_condition: None
      task_type: DEPLOY
  - approval: true
    approve_user:
    - email: tanya.sapra@opstree.com
      name: Tanya Sapra
      role_master: Super_Admin
    - email: priyanshichauhan0707@gmail.com
      name: Priyanshi Chauhan
      role_master: Project Admin-app-rajeev
    - email: priyanshichauhan0707@gmail.com
      name: Priyanshi Chauhan
      role_master: Devops-app-rajeev
    - email: priyanshichauhan0707@gmail.com
      name: Priyanshi Chauhan
      role_master: Project_Admin
    - email: priyanshichauhan0707@gmail.com
      name: Priyanshi Chauhan
      role_master: QA
    - email: priyanshichauhan0707@gmail.com
      name: Priyanshi Chauhan
      role_master: Devops
    - email: priyanshichauhan0707@gmail.com
      name: Priyanshi Chauhan
      role_master: Super_Admin
    - email: siddharth.gupta@opstree.com
      name: SIddharth gupta
      role_master: Super_Admin
    - email: neha.sinha@opstree.com
      name: neha sinha
      role_master: Project Admin-env-testing-app
    - email: neha.sinha@opstree.com
      name: neha sinha
      role_master: Devops-env-testing-app
    - email: neha.sinha@opstree.com
      name: neha sinha
      role_master: Super_Admin
    - email: priyanshichauhan0707@gmail.com
      name: Priyanshi Chauhan
      role_master: Project Admin-env-testing-app
    - email: priyanshichauhan0707@gmail.com
      name: Priyanshi Chauhan
      role_master: Devops-env-testing-app
    - email: priyanshichauhan0707@gmail.com
      name: Priyanshi Chauhan
      role_master: Dev
    - email: deepak.gupta@opstree.com
      name: Deepak Gupta
      role_master: Project Admin-test-application
    - email: deepak.gupta@opstree.com
      name: Deepak Gupta
      role_master: Devops-test-application
    - email: deepak.gupta@opstree.com
      name: Deepak Gupta
      role_master: Project Admin-env-testing-app
    - email: deepak.gupta@opstree.com
      name: Deepak Gupta
      role_master: Devops-env-testing-app
    - email: deepak.gupta@opstree.com
      name: Deepak Gupta
      role_master: Project Admin-app-rajeev
    - email: deepak.gupta@opstree.com
      name: Deepak Gupta
      role_master: Devops-app-rajeev
    - email: deepak.gupta@opstree.com
      name: Deepak Gupta
      role_master: Project_Admin
    - email: deepak.gupta@opstree.com
      name: Deepak Gupta
      role_master: Dev
    - email: deepak.gupta@opstree.com
      name: Deepak Gupta
      role_master: QA
    - email: deepak.gupta@opstree.com
      name: Deepak Gupta
      role_master: Devops
    - email: deepak.gupta@opstree.com
      name: Deepak Gupta
      role_master: Super_Admin
    - email: atul.tripathi@opstree.com
      name: atul
      role_master: Devops-policy-template-tanya-test
    continue_on_disapproval: false
    name: stra
    order: 2
    send_mail: true
    tasks:
    - application_env: dev
      job_code: None
      mark_success_upon_skip: false
      name: job_1
      on_failure_exit: true
      on_success_exit: false
      order: 1
      services:
      - fo-api
      - sample-ms
      - sampleservice
      - test-pre-post-hooks
      - testing
      skip_task: false
      tag: latest
      task_run_condition: None
      task_type: BUILD
  trigger_type: Manual
  version: v2
version: api/v1
